package smash.appointment.parse;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

public class RedcapMissingSqlExporter {
	static SubjectDao subjectDao = new SubjectDao();
	
	public static void main(String[] args) throws Exception {
		List<Subject> subjects = new ArrayList<>();
		for (int count =0 ;count<10000;count++) {
			String nd = count+"";
			while (nd.length()<4) {
				nd = "0"+nd;
			}
			Subject subject = new Subject("name "+nd, "surname"+nd, "ND"+nd, count+"");
			
			String screening = nd;
			if (screening.startsWith("0")) {
				screening = screening.substring(1);
			}
			subject.setScreeningNumber("P-"+screening);
			subject.setToBeSeenAt("PRC");
			if (count>=3000) {
				screening=screening.substring(1);
				subject.setScreeningNumber("L-"+screening);
				subject.setToBeSeenAt("LIH");
			}
			if (count>=7000) {
				subject.setScreeningNumber("F-"+nd);
				subject.setToBeSeenAt("FLYING TEAM");
			}
			subjects.add(subject);
		}
		subjectDao.setSubjects(subjects);
		
		RedcapCalendarParser parser = new RedcapCalendarParser();
		parser.setSubjectDao(subjectDao);
		Calendar date = Calendar.getInstance();
		date.set(2017, 2, 21, 1, 0, 0);
		List<AppointmentEntry> entries = parser.parse("E:/redcap_events_calendar-20032017.sql", date);
		
		VisitSqlExporter sqlExporter = new VisitSqlExporter();
		for (AppointmentEntry entry: entries) {
			Visit visit = new Visit(entry.getSubject());
			visit.addAppointment(entry);
			visit.setStartDate(entry.getDay());
			System.out.println(sqlExporter.toSql(visit));
		}
	}
}
