package smash.appointment.parse;

import org.apache.log4j.Logger;

public abstract class SubjectIndexer {
	Logger logger = Logger.getLogger(SubjectIndexer.class);

	public abstract String getIndexedString(Subject subject);

	public boolean match(Subject subject, String simplifiedQuery) {
		String indexedString = getIndexedString(subject);
		if (indexedString.length() == 0) {
			return false;
		}
		// logger.debug("Check: " + simplifiedQuery + " against: " + indexedString);
		if (simplifiedQuery.startsWith(indexedString)) {
			return true;
		}
		return false;
	}

	public boolean isBetter(Subject subject, Subject oldSubject) {
		return getIndexedString(subject).length() > getIndexedString(oldSubject).length();
	}
}
