# coding=utf-8
from django.urls import reverse

from functions import create_subject, create_appointment
from . import LoggedInTestCase


class TestExportView(LoggedInTestCase):
    def test_export_subjects_to_csv(self):
        create_subject()
        response = self.client.get(reverse('web.views.export_to_csv', kwargs={'data_type': "subjects"}))
        self.assertEqual(response.status_code, 200)

    def test_export_appointments_to_csv(self):
        create_appointment()
        response = self.client.get(reverse('web.views.export_to_csv', kwargs={'data_type': "appointments"}))
        self.assertEqual(response.status_code, 200)

    def test_export_subjects_to_excel(self):
        create_subject()
        response = self.client.get(reverse('web.views.export_to_excel', kwargs={'data_type': "subjects"}))
        self.assertEqual(response.status_code, 200)

    def test_export_appointments_to_excel(self):
        create_appointment()
        response = self.client.get(reverse('web.views.export_to_excel', kwargs={'data_type': "appointments"}))
        self.assertEqual(response.status_code, 200)
