from django.test import TestCase

from functions import create_location, create_user, create_worker, get_test_location
from web.views.notifications import get_filter_locations


class ViewFunctionsTests(TestCase):
    def setUp(self):
        create_location("testLocation")
        return

    def test_locations_for_user(self):
        user = create_user()

        self.assertEquals(1, len(get_filter_locations(user)))

    def test_locations_for_worker(self):
        worker = create_worker()

        self.assertEquals(1, len(get_filter_locations(worker)))

    def test_locations_for_worker_with_location(self):
        worker = create_worker()
        worker.locations = [get_test_location()]
        worker.save()
        create_location()

        self.assertEquals(1, len(get_filter_locations(worker)))
